## taglib-dmo 1.12

=== debian/changelog ===
taglib-dmo (1.12-1~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Mar 2022 08:13:29 +0100

taglib (1.12-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/libtag1v5-vanilla.symbols: Refresh symbols using buildd logs.
  * debian/patches/0003-Make-taglib-config-arch-independent.patch:
    Correct implementation.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 10:05:07 -0400

taglib (1.12-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/libtag1v5-vanilla.symbols: Refresh symbols.
  * debian/patches: Refresh patches.

  [ Helmut Grohne ]
  * Drop unused gsfonts-x11 build dependency. (Closes: #981737)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 02:33:34 -0400

taglib (1.12~beta~1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
    + Fix slow processing of Shoutcast data. (Closes: #854664)
  * debian/symbols: Add new symbols.
  * debian/control: Let libtag1-dev depends on dpkg-dev since the
    old-style config script is calling dpkg-architecture tool.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 13:41:08 -0400

taglib (1.11.1+dfsg.1-3) unstable; urgency=medium

  * Rebuild against GCC 10.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/rules: Simplify using dh13 syntax.
  * debian/symbols: Refresh symbols. (Closes: #957861)

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 10:34:03 -0400

taglib (1.11.1+dfsg.1-2) unstable; urgency=medium

  * debian/symbols: Refresh symbols again using buildd logs.
  * debian/patches: Add patch to fix corruption on
    handling ogg files. (Closes: #915281, upstream issue 775)

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Apr 2020 13:55:26 -0400

taglib (1.11.1+dfsg.1-1) unstable; urgency=medium

  * Adopt the package via ITS process. (Closes: #955165)
    + Have the package team-maintained under Debian Multimedia team.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/control: Update Vcs-* fields to use git packaging repo under
    Salsa Debian Multimedia team.

  [ Matteo Cypriani ]
  * Update debian/copyright (full copyright check).
  * Versioned build-dependency on cmake (>= 3.7) to make sure
    FindICU.cmake is shipped in cmake-data.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Apr 2020 11:23:33 -0400

taglib (1.11.1+dfsg.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2018-11439 (Closes: #903847)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 19 Feb 2019 23:24:40 +0100

taglib (1.11.1+dfsg.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete versioned build dependency on g++.
  * Mark two more symbols as optional, not seen when building with -O3.
  * Bump standards version to 4.1.1.
  * CVE-2017-12678: Don't assume TDRC is an instance of TextIdentificationFrame.
    Closes: #871511.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Oct 2017 11:38:02 +0200

taglib (1.11.1+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of non-free files
    taglib/toolkit/unicode.{h,cpp} (see lintian error
    license-problem-convert-utf-code).
    + Add patch icu.patch.
    + New (build-)dependency: libicu.
  * Mark a few symbols as optional. (Closes: #842126)
    Patch by Steve Langasek <steve.langasek@canonical.com>.
  * Update debian/copyright.

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 24 Jan 2017 20:10:42 -0500

taglib (1.11.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #839767)
    + debian/libtag1v5-vanilla.symbols: restored symbol
      _ZN6TagLib6String14WCharByteOrderE (TagLib::String::WCharByteOrder) with
      version 1.9.1-2.2~.
  * Drop README.Debian-source: non-free file id3v22-tda.mp3 was dropped
    upstream, so a repack is not needed any more.
  * Update debian/copyright (add myself for debian/*).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 24 Oct 2016 16:43:33 -0400

taglib (1.11+dfsg.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing includes in libtag1-dev. (Closes: #840825)
  * debian/rules: use dh_install --fail-missing.
  * Multi-Arch:
    + Mark libtag1-doc "foreign".
    + Mark libtagc0-dev "same".
    + Add patch taglib-config-multiarch.patch to make the taglib-config script
      architecture-independent, and mark libtag1-dev "same".
  * Improve symbols file for libtag1v5-vanilla: mark new symbols from version
    1.11 as such.
  * Fix changelog entry for 1.9.1-2.2 (typo in the old name of
    libtag1-vanilla).

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 18 Oct 2016 16:46:19 -0400

taglib (1.11+dfsg.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols for various architectures.
  * debian/rules: drop "clean" target (use dh_auto_clean instead).

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 06 Oct 2016 17:42:04 -0400

taglib (1.11+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Modestas Vainius ]
  * Get rid of 'static libraries' from package descriptions. This is not true
    anyway (if it has ever been). See #639104.

  [ Matteo Cypriani ]
  * New upstream version 1.11 (Closes: #805848, #730206).
  * Repack upstream tarball to get rid of non-free file id3v22-tda.mp3,
    see README.Debian-source (Closes: #736188).
  * Drop patch multiarch.diff (applied upstream).
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Fix debian/watch.
  * Update debian/copyright and switch to DEP-5 format.
  * debian/control:
    + Update VCS URIs to the new collab-maint repository.
    + Build-Depend on libboost-dev.
    + Remove unneeded versions in Build-Depends.

